{% load i18n mezzanine_tags comment_tags rating_tags %}

{% for comment in comments_for_thread %}

<div id="comment-{{ comment.id }}" class="comment panel panel-default">
    
{% if not comment.is_removed and comment.is_public or request.user.is_staff %}
<div class="panel-body">
    <img class="imageborder alignleft" src="{% gravatar_url comment.email %}">
    <p>{{ comment.comment|comment_filter }}</p>
</div>
<div class="panel-footer">
    <div class="row">
        <div class="col-lg-10 col-md-9 col-sm-8">
            <i class="fa fa-user"> </i><a href="#">{{ comment.user_name }}</a> <i class="fa fa-clock-o"></i>{{comment.submit_date}}
        </div>
        {% if not comment.is_removed and comment.is_public %}
        <a href="{{ request.path }}#comment-{{ comment.id }}">
            <span class="glyphicon glyphicon-link"></span> {% trans "Link" %}
        </a> |
        <a href="#reply-{{ comment.id }}" class="reply">
            <span class="glyphicon glyphicon-share-alt"></span> {% trans "Reply" %}
        </a>
        <form class="comment-reply-form" method="post" id="reply-{{ comment.id }}"
            action="{{ comment_url }}#reply-{{ comment.id }}"
            {% if replied_to != comment.id %}style="display:none;"{% endif %}>
            {% if replied_to == comment.id %}
            {% fields_for posted_comment_form %}
            {% else %}
            {% fields_for unposted_comment_form %}
            {% endif %}
            <input type="hidden" name="replied_to" value="{{ comment.id }}">
            <input class="btn btn-primary btn-lg" type="submit" value="{% trans "Reply" %}">
        </form>
    
        {% else %}
        <p>
            {% if comment.is_removed %}
            <span class="glyphicon glyphicon-remove-circle"></span> {% trans "Comment deleted" %}
            {% else %}
            <span class="glyphicon glyphicon-warning-sign"></span> {% trans "Comment awaiting approval" %}
            {% endif %}
            <small class="timespan">{% blocktrans with sometime=comment.submit_date|timesince %}{{ sometime }} ago{% endblocktrans %}</small>
        </p>
        {% endif %}
    </div>
</div>
{% endif %}

    {% comment_thread comment %}
    
{% if not comment.is_removed and comment.is_public or request.user.is_staff %}</div>{% endif %}
</div>
{% endfor %}

{% if no_comments %}
<p>{% trans "There are currently no comments" %}</p>
{% endif %}